Subject: Re: [RRG] draft-rja-ilnp-intro-01.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 05 Aug 2008 14:18:41 +1200

On 2008-08-04 04:02, Tony Li wrote:
>  
> 
> |Actually that has a noticeable advantage over
> |doing it at network layer: it need not cause an MTU size 
> |problem, because
> |the transport layer segmentation can take account of the extra bits.
> 
> 
> ???  Doing it at the network layer would not cause an MTU size problem
> either, as long as it was done natively (i.e., in the host sending the
> packets).  If you use part of the address field as the identifier (ala GSE)
> or stuff it in a network layer option, the upper layers should simply adapt.
> 
> 
> The ONLY thing that causes MTU issues is encapsulation approaches.

Adding optional headers (as in shim6) shortens the upper layer
payload for a given link MTU, and that is a problem if the
upper layer doesn't know about it.

    Brian

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg